=== debian/control ===
Source: libkf5grantleetheme
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libgrantlee5-dev (>= 5.0.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantleetheme
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantleetheme

Package: libkf5grantleetheme-data
Architecture: all
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM grantlee theme support - data files
 This library provides the grantlee theme support for KDE PIM.
 .
 This package provides the shared libraries.

Package: libkf5grantleetheme-dev
Architecture: any
Section: libdevel
Depends: libgrantlee5-dev,
         libkf5grantleetheme5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM grantlee theme support - devel files
 This library provides the grantlee theme support for KDE PIM.
 .
 This package provides the development files.

Package: libkf5grantleetheme-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5libkdepim5 (<= 4:16.04)
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: KDE PIM grantlee theme support - plugins
 This library provides the grantlee theme support for KDE PIM.
 .
 This package provides the plugins distributed with the library.

Package: libkf5grantleetheme5
Architecture: any
Depends: libkf5grantleetheme-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: akregator (<= 4:16.08),
        kontact (<= 4:16.08),
        libkf5libkdepim5 (<= 4:16.04),
        libkf5messageviewer5 (<= 4:16.04),
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: KDE PIM grantlee theme support - library
 This library provides the grantlee theme support for KDE PIM.
 .
 This package provides the shared libraries.
