## libkf5grantleetheme 22.08.0

=== debian/changelog ===
libkf5grantleetheme (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:45:13 +0200

libkf5grantleetheme (22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:54:59 +0200

libkf5grantleetheme (22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:00:27 +0200

libkf5grantleetheme (22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:46:14 +0200

libkf5grantleetheme (22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 25 May 2022 01:57:30 +0200

libkf5grantleetheme (21.12.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add libgrantlee5-dev as a dependency for libkf5grantleetheme-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 02 Apr 2022 21:15:13 +0200

libkf5grantleetheme (21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:08:30 +0200

libkf5grantleetheme (21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 22:21:38 +0100
