## libkf5grantleetheme 22.12.0

=== debian/changelog ===
libkf5grantleetheme (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:31 +0100

libkf5grantleetheme (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:02:53 +0100

libkf5grantleetheme (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:52:29 +0100

libkf5grantleetheme (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:10:11 +0200

libkf5grantleetheme (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:08:00 +0200
