=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>,
            Norbert Preining <norbert@preining.info>,
-           Patrick Franz <deltaone@debian.org>
+           Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.95.0~),
+               extra-cmake-modules (>= 5.99.0~),
                libgrantlee5-dev (>= 5.2~),
-               libkf5guiaddons-dev (>= 5.95.0~),
-               libkf5i18n-dev (>= 5.95.0~),
-               libkf5iconthemes-dev (>= 5.95.0~),
-               libkf5newstuff-dev (>= 5.95.0~),
+               libkf5guiaddons-dev (>= 5.99.0~),
+               libkf5i18n-dev (>= 5.99.0~),
+               libkf5iconthemes-dev (>= 5.99.0~),
+               libkf5newstuff-dev (>= 5.99.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
                xauth,
-               xvfb
-Standards-Version: 4.6.1
+               xvfb,
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/pim/grantleetheme
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/grantleetheme
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/grantleetheme.git
@@ -31,7 +31,7 @@
          libkf5grantleetheme5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: KDE PIM grantlee theme support - devel files
  This library provides the grantlee theme support for KDE PIM.
  .
