=== src/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -21,12 +21,18 @@
 endif()
 kpim_grantlee_adjust_plugin_name(kde_grantlee_plugin)
 target_link_libraries(kde_grantlee_plugin
-    Grantlee5::Templates
+    ${MAIN_LIB}
     KF5::IconThemes
     KF5::GuiAddons
     KF5::ConfigWidgets
 )
 
+if (QT_MAJOR_VERSION STREQUAL "5")
 install(TARGETS kde_grantlee_plugin
-        LIBRARY DESTINATION ${LIB_INSTALL_DIR}/grantlee/${Grantlee5_VERSION_MAJOR}.${Grantlee5_VERSION_MINOR}/
+        LIBRARY DESTINATION ${KDE_INSTALL_LIBDIR}/grantlee/${Grantlee5_VERSION_MAJOR}.${Grantlee5_VERSION_MINOR}/
 )
+else()
+    install(TARGETS kde_grantlee_plugin
+            LIBRARY DESTINATION ${KDE_INSTALL_LIBDIR}/KTextTemplate/${KF5_MIN_VERSION}/
+    )
+endif()
