=== debian/changelog ===
libkf5grantleetheme (22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Get the right grantlee dependency for the shipped plugin:
    - add the dh-sequence-grantlee build dependency
    - use the ${grantlee:Depends} substvar
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Mark the xauth, and xvfb build dependencies as !nocheck, as they are needed
    only during dh_auto_test.
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Aug 2023 20:11:10 +0200

libkf5grantleetheme (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:31:16 +0100

libkf5grantleetheme (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:24:41 +0100
