## libkf5grantleetheme 23.08.0

=== debian/changelog ===
libkf5grantleetheme (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:50:18 +0100

libkf5grantleetheme (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:30:21 +0100

libkf5grantleetheme (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:42:32 +0100

libkf5grantleetheme (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Bump libgrantlee5-dev build depend to >= 5.3~
  * Renmame packages:
    - libkf5grantleetheme5 -> libkpim5grantleetheme5
    - libkf5grantleetheme-data -> libkpim5grantleetheme-data
  * Move /usr/share/qlogging-categories5/* files to -data package
  * Sync debian/rules with debian, provide virtual ABI packages
  * Inject dependency on libkf5grantleetheme-plugins in debian/rules
  * Remove symbols file, no longer used
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:58:37 +0100

libkf5grantleetheme (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:34:27 +0000

libkf5grantleetheme (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:10:59 -0600

libkf5grantleetheme (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:25:05 +0000

libkf5grantleetheme (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:05:20 +0000

libkf5grantleetheme (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:01:45 +0000

libkf5grantleetheme (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:38:35 +0000

libkf5grantleetheme (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:05:24 +0000
