=== src/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -22,9 +22,9 @@
 kpim_grantlee_adjust_plugin_name(kde_grantlee_plugin)
 target_link_libraries(kde_grantlee_plugin
     ${MAIN_LIB}
-    KF5::IconThemes
-    KF5::GuiAddons
-    KF5::ConfigWidgets
+    KF${KF_MAJOR_VERSION}::IconThemes
+    KF${KF_MAJOR_VERSION}::GuiAddons
+    KF${KF_MAJOR_VERSION}::ConfigWidgets
 )
 
 if (QT_MAJOR_VERSION STREQUAL "5")
@@ -33,6 +33,6 @@
 )
 else()
     install(TARGETS kde_grantlee_plugin
-            LIBRARY DESTINATION ${KDE_INSTALL_LIBDIR}/KTextTemplate/${KF5_MIN_VERSION}/
+            LIBRARY DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/ktexttemplate/
     )
 endif()
