=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,13 @@
 pkgs_lib = $(filter-out %-%,$(filter lib%,$(shell dh_listpackages)))
 
 %:
-	dh $@
+	dh $@ --with kf5,pkgkde_symbolshelper
 
 override_dh_makeshlibs:
 	for pkg in $(pkgs_lib); do \
 		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
 		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
-		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
+		dh_makeshlibs -p$${pkg} -V "libkf5grantleetheme-plugins, $${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
 	done
 
 override_dh_auto_test:
